SDL_GetAudioStreamFormat(3)

NAME
SDL_GetAudioStreamFormat - Query the current format of an audio stream.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_GetAudioStreamFormat(SDL_AudioStream *stream, SDL_AudioSpec *src_spec, SDL_AudioSpec *dst_spec);

FUNCTION PARAMETERS

stream
    the SDL_AudioStream
     to query.

src_spec
    where to store the input audio format; ignored if NULL.

dst_spec
    where to store the output audio format; ignored if NULL.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread, as it holds a stream-specific mutex while running.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetAudioStreamFormat(3)